version: '2'
services:
  gollum:
    build: .
    restart: always
    hostname: gollum
    container_name: gollum
    working_dir: /wiki
    entrypoint:
      - 'gollum'
      - '--port'
      - '80'
#      - '--allow-uploads'
#      - 'page'
#      - '--live-preview'
      - '--no-edit'
    volumes:
      - ./wiki:/wiki
    expose:
      - '80'
    networks:
      mynet:
        ipv4_address: 172.120.0.102

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.120.0.0/24
